> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.levrage.ai/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.levrage.ai/_mcp/server.

# Save agent instructions

PUT https://api.levrage.ai/v1/agents/{agent_id}/prompt
Content-Type: application/json

Save or update the agent's prompt/instructions.

This replaces the entire prompt text.

Reference: https://docs.levrage.ai/api-reference/agents/save-agent-instructions

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `agent_id` (string, required)

### Body (application/json)

This endpoint expects a SaveInstructionsRequest.

- `instructions` (string, required) — Agent prompt/instructions text

## Response

### 200

Successful Response

- `any`

## Errors

### 422 Unprocessable Entity Error

Validation Error

- `detail` (list of ValidationError, optional)

## Types

### ValidationError

- `loc` (list of ValidationErrorLocItems, required)
- `msg` (string, required)
- `type` (string, required)

### ValidationErrorLocItems

- string
- integer

## Examples

**Request**

```json
{
  "instructions": "You are an AI sales agent for Acme Finance. Greet the customer warmly, introduce yourself, and qualify their interest in personal loan products. Collect their name, monthly income, and preferred loan amount."
}
```

**SDK Code**

```python
import requests

url = "https://api.levrage.ai/v1/agents/agent_id/prompt"

payload = { "instructions": "You are an AI sales agent for Acme Finance. Greet the customer warmly, introduce yourself, and qualify their interest in personal loan products. Collect their name, monthly income, and preferred loan amount." }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.levrage.ai/v1/agents/agent_id/prompt';
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"instructions":"You are an AI sales agent for Acme Finance. Greet the customer warmly, introduce yourself, and qualify their interest in personal loan products. Collect their name, monthly income, and preferred loan amount."}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.levrage.ai/v1/agents/agent_id/prompt"

	payload := strings.NewReader("{\n  \"instructions\": \"You are an AI sales agent for Acme Finance. Greet the customer warmly, introduce yourself, and qualify their interest in personal loan products. Collect their name, monthly income, and preferred loan amount.\"\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.levrage.ai/v1/agents/agent_id/prompt")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"instructions\": \"You are an AI sales agent for Acme Finance. Greet the customer warmly, introduce yourself, and qualify their interest in personal loan products. Collect their name, monthly income, and preferred loan amount.\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.levrage.ai/v1/agents/agent_id/prompt")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"instructions\": \"You are an AI sales agent for Acme Finance. Greet the customer warmly, introduce yourself, and qualify their interest in personal loan products. Collect their name, monthly income, and preferred loan amount.\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.levrage.ai/v1/agents/agent_id/prompt', [
  'body' => '{
  "instructions": "You are an AI sales agent for Acme Finance. Greet the customer warmly, introduce yourself, and qualify their interest in personal loan products. Collect their name, monthly income, and preferred loan amount."
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.levrage.ai/v1/agents/agent_id/prompt");
var request = new RestRequest(Method.PUT);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"instructions\": \"You are an AI sales agent for Acme Finance. Greet the customer warmly, introduce yourself, and qualify their interest in personal loan products. Collect their name, monthly income, and preferred loan amount.\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["instructions": "You are an AI sales agent for Acme Finance. Greet the customer warmly, introduce yourself, and qualify their interest in personal loan products. Collect their name, monthly income, and preferred loan amount."] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.levrage.ai/v1/agents/agent_id/prompt")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```